Subject: bug#9113: 24.0.50; auth-sources: .authinfo versus .authinfo.gpg

From: Daiki Ueno <[email-masked]>
Date: Sun, 29 Jan 2012 18:50:23 +0900

Ted Zlatanov <[email-masked]> writes:

> I think we'll need something on top of EPA/EPG if we support OpenPGP
> packets with libnettle,

I don't think it is a good idea to expose full cryptographic functions
in libnettle into Elisp, simply because there is no real use-case for
them except auth-source.

If you really want them and you think your problem can only be solved
with that approach, I would rather suggest to add gpg-encrypt-simple and
gpg-decrypt-simple in C level, which generates OpenPGP packets but only
supports single fixed algorithm and parameters.

So, anyway, this topic is not quite relevant to EPA/EPG from my
standpoint.

Regards,
-- 
Daiki Ueno